<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__dfu__macro__state" kind="group">
    <compoundname>group_dfu_macro_state</compoundname>
    <title>DFU State</title>
      <sectiondef kind="define">
      <memberdef id="group__group__dfu__macro__state_1ga76b0c3dd7c206fa94c2c93c44f1517c0" kind="define" prot="public" static="no">
        <name>CY_DFU_STATE_NONE</name>
        <initializer>(0u)</initializer>
        <briefdescription>
<para>Updating has not yet started, no Enter packet received. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1020" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1020" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__state_1gac52da0b4bc0d00ccef1726e7ab639817" kind="define" prot="public" static="no">
        <name>CY_DFU_STATE_UPDATING</name>
        <initializer>(1u)</initializer>
        <briefdescription>
<para>Updating is in process. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1021" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1021" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__state_1ga75352e8101b5fe7c4de37f86b06f1d18" kind="define" prot="public" static="no">
        <name>CY_DFU_STATE_FINISHED</name>
        <initializer>(2u)</initializer>
        <briefdescription>
<para>Updating has finished successfully. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1022" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1022" />
      </memberdef>
      <memberdef id="group__group__dfu__macro__state_1gab0ee6f2a05184dcf2ded6f3e1c6ff74b" kind="define" prot="public" static="no">
        <name>CY_DFU_STATE_FAILED</name>
        <initializer>(3u)</initializer>
        <briefdescription>
<para>Updating has finished with an error. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" bodystart="1023" column="9" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-dfu/cy_dfu.h" line="1023" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The state of updating. </para>    </briefdescription>
    <detaileddescription>
<para><linebreak />
This is a set of values that the DFU state variable can hold. <linebreak />
When <ref kindref="member" refid="group__group__dfu__functions_1ga6514a9d999be746edc406fcf764d07f5">Cy_DFU_Continue()</ref> and <ref kindref="member" refid="group__group__dfu__functions_1ga52a82b43fb374e27f969051f7f70db31">Cy_DFU_Complete()</ref> return, the state parameter indicates whether the update has finished successfully or what is the unsuccessful state. </para>    </detaileddescription>
  </compounddef>
</doxygen>